=== debian/changelog ===
apache-modules (1.1.4) unstable; urgency=low

  * Added FastCGI module.
  * Removed post-debmake decompression of shtml example so checksums work
    correctly.

 -- Johnie Ingram <johnie@debian.org>  Tue, 11 Mar 1997 21:14:14 -0500

apache-modules (1.1.3) unstable; urgency=low

  * Added code to reconfigure Apache if this package is removed.
  * Removed empty /usr/lib/apache/descr directory
  * Put explicit REPLY variable in postinst read statement (Bug #7270).
  * Added file checksums (debmake 3.2.2).

 -- Johnie Ingram <johnie@debian.org>  Sat, 8 Mar 1997 21:40:44 -0500

apache-modules (1.1.2) unstable; urgency=low

  * Added module data so apache 1.1.3-3 and above can automatically detect
    and ask about installing the modules (Bug #7169).

 -- Johnie Ingram <johnie@debian.org>  Sun, 9 Feb 1997 01:38:24 -0500

apache-modules (1.1.1) unstable; urgency=low

  * Initial Release.

 -- Johnie Ingram <johnie@debian.org>  Sun, 19 Jan 1997 03:58:46 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "johnie@debian.org"
End:
