=== debian/control ===
Source: apache-modules
Section: web
Priority: optional
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.1.2.2

Package: apache-modules
Architecture: any
Depends: apache (>= 1.1.1-5), libc5 (>= 5.4.0-0)
Description: Additional modules for Apache 1.1
 Miscellaneous modules which are not part of the official Apache
 distribution.  Includes mod_block, mod_counter, mod_sp (server
 push), mod_speling, mod_trailer, mod_uri_remap, mod_simultaneous,
 and mod_xinclude (xssi 1.1b3).
 .
 Note: mod_rewrite is included in apache 1.1.3-1 and later; mod_php
 comes in the php package.
