=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter
# <clameter@debian.org>.

package=apache-modules

build:
	$(checkdir)
	$(MAKE) -f /usr/include/apache/Makefile.modules
	cd mod_conv-0.2/src; \
		$(MAKE) -f /usr/include/apache/Makefile.modules mod_conv.so
	cd xssi-1.1b3; \
		$(MAKE) -f /usr/include/apache/Makefile.modules mod_xinclude.so
	cd apache-fastcgi/src; \
		$(MAKE) -f /usr/include/apache/Makefile.modules mod_fastcgi.so
	touch build


clean:
	$(checkdir)
	$(MAKE) -f /usr/include/apache/Makefile.modules distclean
	cd mod_conv-0.2/src; \
		$(MAKE) -f /usr/include/apache/Makefile.modules distclean
	cd xssi-1.1b3; \
		$(MAKE) -f /usr/include/apache/Makefile.modules distclean
	-rm -rf build $$(find . -name "*~") doc descr apache-fastcgi/src/*.so
	-rm -rf $$(find debian/* -type d) debian/{files* debian/*substvars*}
	chmod 755 debian/{postrm,postinst}


binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.


binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp && install -d debian/tmp
	cd debian/tmp && install -d $$(cat ../dirs)
	install -m 644 *.so *.info debian/tmp/usr/lib/apache/modules
	@#install mod_conv-0.2/src/*.so debian/tmp/usr/lib/apache/modules
	@#cp mod_conv-0.2/README debian/tmp/usr/doc/$(package)/README.mod_conv
	install -m 644 xssi-1.1b3/*.so debian/tmp/usr/lib/apache/modules
	install -m 644 apache-fastcgi/src/*.so \
		debian/tmp/usr/lib/apache/modules
	cp xssi-1.1b3/README debian/tmp/usr/doc/$(package)/README.xssil
	cp apache-fastcgi/README \
		debian/tmp/usr/doc/$(package)/README.mod_fastcgi
	#sed -e "s/http.*apache_sub.gif/\/doc\/apache\/icons\/apache_pb.gif/" \
	#	< apache-fastcgi/mod_fastcgi.html \
	#	> debian/tmp/usr/doc/$(package)/mod_fastcgi.html
	cp apache-fastcgi/mod_fastcgi.html debian/tmp/usr/doc/$(package)
	debstd -m README* xssi-1.1b3/xssi-1.1.html
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod 755 debian/tmp/usr/lib/apache/modules/*.so
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..


define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

Local variables:
mode: makefile
End:
